org.apache.fontbox.ttf.table.common

## Class CoverageTableFormat1

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.CoverageTable
  - - org.apache.fontbox.ttf.table.common.CoverageTableFormat1

Direct Known Subclasses:
  CoverageTableFormat2

    public class CoverageTableFormat1
    extends CoverageTable

This class models the Coverage format 1 in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`CoverageTableFormat1(int coverageFormat, int[] glyphArray)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCoverageIndex(int gid)`
`int[]` `getGlyphArray()`
`int` `getGlyphId(int index)`
`int` `getSize()`
`String` `toString()`

### Methods inherited from class org.apache.fontbox.ttf.table.common.CoverageTable

`getCoverageFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoverageTableFormat1

    public CoverageTableFormat1(int coverageFormat,
                                int[] glyphArray)

### Method Detail

#### getCoverageIndex

    public int getCoverageIndex(int gid)

Specified by:
  `getCoverageIndex` in class `CoverageTable`

#### getGlyphId

    public int getGlyphId(int index)

Specified by:
  `getGlyphId` in class `CoverageTable`

#### getSize

    public int getSize()

Specified by:
  `getSize` in class `CoverageTable`

#### getGlyphArray

    public int[] getGlyphArray()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`